libxml2

Loading...
Searching...
No Matches
Data Fields
_xmlElementContent Struct Reference

An XML Element content as stored after parsing an element definition in a DTD. More...

`#include <tree.h>`

## Data Fields
xmlElementContentType | type
| PCDATA, ELEMENT, SEQ or OR.
xmlElementContentOccur | ocur
| ONCE, OPT, MULT or PLUS.
const xmlChar * | name
| element name
struct _xmlElementContent * | c1
| first child
struct _xmlElementContent * | c2
| second child
struct _xmlElementContent * | parent
| parent
const xmlChar * | prefix
| namespace prefix

## Detailed Description

An XML Element content as stored after parsing an element definition in a DTD.

Should be treated as opaque. Accessing members directly is deprecated.

The documentation for this struct was generated from the following file:

- tree.h